#!/bin/bash

PROJECTNAME=$(basename "$(pwd)")
SETGITEA=true

# Verify the .env file exists
if [ ! -f ".env" ]; then
  echo "Error: The .env file does not exist."
  exit 1
fi

# Load environment variables from .env file
set -o allexport
source .env
set +o allexport

# Run Git setup
bash bin/new_project/git_setup.sh

# Run remote Git setup
if [ "$SETGITEA" = "true" ]; then
  bash bin/new_project/remote_git_setup.sh
fi
